within CAES_Eleves;

package Components "Dossier comprenant les composants"
extends Modelica.Icons.VariantsPackage;
annotation (Documentation(info="<html>
<p> Contient:
<ul>
<li> Un modèle très simple de compresseur à rendement isentropique constant, et à caractéristique (taux de compression/débit) linéaire;</li>
<li> Une extension du précédent utilisant des tables pour les caractéristiques reliant taux de compression, débit, vitesse de rotation et rendement isentropique;</li>
<li> Un modèle de cavité (grand volume de stockage avec une entrée/sortie et un modèle de bilan d'énergie interne);</li>
<li> Un modèle de chambre de combustion: on fournit un débit massique de CH4, l'air qui rentre ressort avec un surplus d'énergie égal au produit du PCI du méthane par le débit massique de CH4;</li>
<li> Un contrôleur PID (ou PI), fonctionnel;</li>
<li> Un modèle de turbine basique semblable au compresseur de base;</li>
<li> Un modèle de turbine étendu avec tables de caractéristiques d'une turbine plus réaliste;</li>
<li> Un modèle d'échangeur de chaleur idéal: on impose la température de sortie du fluide, le connecteur thermique permettant de mesurer la chaleur à fournir ou à extraire pour cela;</li>
<li> Un modèle d'échangeur thermique à deux veines fluides, et à pincement imposé.</li> 
</ul>
</p>
</html>"));

end Components;