within CAES_Eleves.Connectors;

connector FluidPort "Un connecteur fluide compressible"
SI.Pressure p;// un potentiel, la pression statique
flow SI.MassFlowRate m_flow;// un flux, le débit massique
stream SI.SpecificEnthalpy h_outflow;// un courant, l'enthalpie massique
  annotation(
    Icon(graphics = {Ellipse(fillColor = {52, 101, 164}, fillPattern = FillPattern.Solid,extent = {{-100, 100}, {100, -100}}, endAngle = 360)}));
annotation (Documentation(info="<html>
<p> 
<ul>
<li>p : un potentiel, la pression statique;</li>
<li>m_flow : un flux, le débit massique;</li>
<li> h_outflow : un courant, l'enthalpie massique.</li>
</ul>
</p>
</html>"));
end FluidPort;