within CAES_Eleves.Tests;

model SimpleTestCompressor_step1 "A vous d'écrire la documentation"
  extends Modelica.Icons.Example;

  CAES_Eleves.Components.CompressorSimple compressor annotation(
    Placement(visible = true, transformation(origin = {19, 5}, extent = {{-51, -51}, {51, 51}}, rotation = 0)));
  CAES_Eleves.BoundaryConditions.BoundaryPressure boundaryPressure annotation(
    Placement(visible = true, transformation(origin = {-65, 63}, extent = {{-31, -31}, {31, 31}}, rotation = 0)));
  CAES_Eleves.BoundaryConditions.BoundaryPressure boundaryPressure1(Pbc = 50e5)  annotation(
    Placement(visible = true, transformation(origin = {66, -60}, extent = {{34, -34}, {-34, 34}}, rotation = -90)));
  Modelica.Mechanics.Rotational.Sources.ConstantSpeed constantSpeed(w_fixed = 157)  annotation(
    Placement(visible = true, transformation(origin = {-77, 5}, extent = {{-23, -23}, {23, 23}}, rotation = 0)));
equation
  connect(boundaryPressure.fluidPort, compressor.inlet) annotation(
    Line(points = {{-37, 63}, {-35.5, 63}, {-35.5, 41}, {-27, 41}}));
  connect(constantSpeed.flange, compressor.flange_a) annotation(
    Line(points = {{-54, 5}, {-27, 5}}));
  connect(compressor.outlet, boundaryPressure1.fluidPort) annotation(
    Line(points = {{65, -10}, {65, -22}, {66, -22}, {66, -29}}));
annotation (Documentation(info="<html>
<p> Mais que simule-t-on donc ?</p>
</html>"));
end SimpleTestCompressor_step1;