within CAES_Eleves.Tests;

model test_Cavity_Filling_Step1 "A vous d'écrire la documentation"
  extends Modelica.Icons.Example;
  CAES_Eleves.Components.Cavity cavity(M_air(fixed = true), T_air(fixed = true), p_air(fixed = true), rho_air(fixed = true))  annotation(
    Placement(visible = true, transformation(origin = {18, -32}, extent = {{-38, -38}, {38, 38}}, rotation = 0)));
  CAES_Eleves.BoundaryConditions.BoundaryMassFlowRate boundaryMassFlowRate(qm_bc = 100)  annotation(
    Placement(visible = true, transformation(origin = {-61, 37}, extent = {{-37, -37}, {37, 37}}, rotation = 0)));
equation
  connect(boundaryMassFlowRate.fluidPort, cavity.fluidPort) annotation(
    Line(points = {{-28, 37}, {18, 37}, {18, 2}}));
annotation (Documentation(info="<html>
<p> Mais que simule-t-on donc ?</p>
</html>"));
end test_Cavity_Filling_Step1;