within CAES_Eleves.BoundaryConditions;

model FixedTemperature "Une condition aux limites pour connecteur thermique de température imposée"
  Connectors.HeatPort heatPort annotation(
    Placement(visible = true, transformation(origin = {0, -90}, extent = {{-10, -10}, {10, 10}}, rotation = 0), iconTransformation(origin = {0, -90}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));

parameter SI.Temperature Tbc=293.15;
equation
heatPort.T=Tbc;
annotation(
    Icon(graphics = {Ellipse(extent = {{-80, 80}, {80, -80}}, endAngle = 360), Text(origin = {5, -4}, extent = {{-35, 16}, {35, -16}}, textString = "T=%Tbc")}));
end FixedTemperature;