within CAES_Eleves.Connectors;

connector HeatPort "Un connecteur thermique"
SI.Temperature T;
flow SI.HeatFlowRate Q_flow;
equation

annotation(
    Icon(graphics = {Rectangle(origin = {0, 0.01}, fillColor = {239, 41, 41}, fillPattern = FillPattern.Solid, extent = {{-100, 99.99}, {100, -99.99}})}));

annotation (Documentation(info="<html>
<p> 
<ul>
<li>T : un potentiel, la température;</li>
<li> Q_flow : un flux, le flux de chaleur.</li>
</ul>
</p>
</html>"));
end HeatPort;