within CAES_Eleves.Tests;

model test_CombustionChamber "A vous d'écrire la documentation"
  extends Modelica.Icons.Example;
  Components.CombustionChamber combustionChamber annotation(
    Placement(visible = true, transformation(origin = {-5.32907e-15, 16}, extent = {{-28, -28}, {28, 28}}, rotation = 0)));
  CAES_Eleves.BoundaryConditions.BoundaryMassFlowRate boundaryMassFlowRate annotation(
    Placement(visible = true, transformation(origin = {-73, -1}, extent = {{-31, -31}, {31, 31}}, rotation = 0)));
  CAES_Eleves.BoundaryConditions.BoundaryPressure boundaryPressure annotation(
    Placement(visible = true, transformation(origin = {67, -1}, extent = {{29, -29}, {-29, 29}}, rotation = 0)));
  Modelica.Blocks.Sources.Constant const(k = 0.01)  annotation(
    Placement(visible = true, transformation(origin = {-53, 65}, extent = {{-21, -21}, {21, 21}}, rotation = 0)));
equation
  connect(boundaryMassFlowRate.fluidPort, combustionChamber.inlet) annotation(
    Line(points = {{-45, -1}, {-49.5, -1}, {-49.5, 0}, {-24, 0}}));
  connect(combustionChamber.outlet, boundaryPressure.fluidPort) annotation(
    Line(points = {{26, 0}, {41.5, 0}, {41.5, -1}, {41, -1}}));
  connect(const.y, combustionChamber.qm_CH4) annotation(
    Line(points = {{-30, 65}, {-14, 65}, {-14, 24}}, color = {0, 0, 127}));
annotation (Documentation(info="<html>
<p> Mais que simule-t-on donc ?</p>
</html>"));
end test_CombustionChamber;