package CAES_Eleves "Package pour simuler un stockage d'énergie par air comprimé dans une caverne"
  import SI = Modelica.SIunits;
  constant SI.RatioOfSpecificHeatCapacities gamma = 1.4;
//  constant SI.SpecificHeatCapacity cp = ???;
//  constant SI.SpecificHeatCapacity cv = ???;
  constant SI.SpecificHeatCapacity r = 287;
//  constant SI.SpecificEnergy PCI = ???;

annotation(
    uses(Modelica(version = "3.2.3")));
annotation (Documentation(info="<html>
<p> On utilise la librairie standard modelica 3.2.3</p>
<p> <i>Il y a des trous à compléter : les ???. Votre travail consiste à compléter ces lignes, et commence dès ce fichier package.</i> </p>
<p>
Les données utilisées sont inspirées de :
<a href=https://uwspace.uwaterloo.ca/bitstream/handle/10012/13858/Kakodkar_Siddharth.pdf>Extensible Modeling of Compressed Air Energy Storage Systems</a>.
</p>
<p> On utilise un modèle de gaz parfait avec cp=cte, gamma=cte.</p>
<p> Pour l'apport de chaleur par combustion du CH4, on utilisera un modèle simple basé sur le PCI (pouvoir calorifique inférieur).</p>
</html>"));
end CAES_Eleves;